NX Open C++ Reference Guide
Public Types | Public Member Functions | List of all members
NXOpen::CAE::SpiderElementBuilder Class Reference

Represents a NXOpen::CAE::SpiderElementBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateSpiderElementBuilder

Created in NX5.0.1. More...

Inheritance diagram for NXOpen::CAE::SpiderElementBuilder:
NXOpen::Builder NXOpen::TaggedObject NXOpen::GeometricUtilities::IComponentBuilder

Public Types

enum  NewMeshType { NewMeshTypeCreate, NewMeshTypeExisting }
 Option to create new mesh or add to existing mesh. More...
 

Public Member Functions

NXString CollectorName ()
 Returns the mesh collector name
Created in NX5.0.1. More...
 
NXOpen::CAE::SelectFENodeCoreNode ()
 Returns a core node
Created in NX5.0.1. More...
 
int Label ()
 Returns the label
Created in NX5.0.1. More...
 
NXOpen::CAE::SelectFENodeListLegNodes ()
 Returns the leg nodes
Created in NX5.0.1. More...
 
NXString MeshName ()
 Returns the mesh name
Created in NX5.0.1. More...
 
NXString NeutralName ()
 Returns the element neutral name
Created in NX5.0.1. More...
 
NXOpen::CAE::SpiderElementBuilder::NewMeshType NewMeshOption ()
 Returns the new mesh option
Created in NX5.0.1. More...
 
void SetCollectorName (const NXString &collectorName)
 Sets the mesh collector name
Created in NX5.0.1. More...
 
void SetCollectorName (const char *collectorName)
 Sets the mesh collector name
Created in NX5.0.1. More...
 
void SetLabel (int label)
 Sets the label
Created in NX5.0.1. More...
 
void SetMeshName (const NXString &meshName)
 Sets the mesh name
Created in NX5.0.1. More...
 
void SetMeshName (const char *meshName)
 Sets the mesh name
Created in NX5.0.1. More...
 
void SetNeutralName (const NXString &neutralName)
 Sets the element neutral name
Created in NX5.0.1. More...
 
void SetNeutralName (const char *neutralName)
 Sets the element neutral name
Created in NX5.0.1. More...
 
void SetNewMeshOption (NXOpen::CAE::SpiderElementBuilder::NewMeshType newMeshOption)
 Sets the new mesh option
Created in NX5.0.1. More...
 
- Public Member Functions inherited from NXOpen::Builder
NXOpen::NXObjectCommit ()
 Commits any edits that have been applied to the builder. More...
 
void Destroy ()
 Deletes the builder, and cleans up any objects created by the builder. More...
 
std::vector< NXOpen::NXObject * > GetCommittedObjects ()
 For builders that create more than one object, this method returns the objects that are created by commit. More...
 
NXOpen::NXObjectGetObject ()
 Returns the object currently being edited by this builder. More...
 
void ShowResults ()
 Updates the model to reflect the result of an edit to the model for all builders that support showing results. More...
 
virtual bool Validate ()
 Validate whether the inputs to the component are sufficient for commit to be called. More...
 
- Public Member Functions inherited from NXOpen::TaggedObject
tag_t Tag () const
 Returns the tag of this object. More...
 

Detailed Description

Represents a NXOpen::CAE::SpiderElementBuilder
To create a new instance of this class, use NXOpen::CAE::NodeElementManager::CreateSpiderElementBuilder

Created in NX5.0.1.


Member Enumeration Documentation

Option to create new mesh or add to existing mesh.

Enumerator
NewMeshTypeCreate 

create new mesh

NewMeshTypeExisting 

add to existing mesh

Member Function Documentation

NXString NXOpen::CAE::SpiderElementBuilder::CollectorName ( )

Returns the mesh collector name
Created in NX5.0.1.



License requirements : None

NXOpen::CAE::SelectFENode* NXOpen::CAE::SpiderElementBuilder::CoreNode ( )

Returns a core node
Created in NX5.0.1.



License requirements : None

int NXOpen::CAE::SpiderElementBuilder::Label ( )

Returns the label
Created in NX5.0.1.



License requirements : None

NXOpen::CAE::SelectFENodeList* NXOpen::CAE::SpiderElementBuilder::LegNodes ( )

Returns the leg nodes
Created in NX5.0.1.



License requirements : None

NXString NXOpen::CAE::SpiderElementBuilder::MeshName ( )

Returns the mesh name
Created in NX5.0.1.



License requirements : None

NXString NXOpen::CAE::SpiderElementBuilder::NeutralName ( )

Returns the element neutral name
Created in NX5.0.1.



License requirements : None

NXOpen::CAE::SpiderElementBuilder::NewMeshType NXOpen::CAE::SpiderElementBuilder::NewMeshOption ( )

Returns the new mesh option
Created in NX5.0.1.



License requirements : None

void NXOpen::CAE::SpiderElementBuilder::SetCollectorName ( const NXString collectorName)

Sets the mesh collector name
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
collectorNamecollectorname
void NXOpen::CAE::SpiderElementBuilder::SetCollectorName ( const char *  collectorName)

Sets the mesh collector name
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
collectorNamecollectorname
void NXOpen::CAE::SpiderElementBuilder::SetLabel ( int  label)

Sets the label
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
labellabel
void NXOpen::CAE::SpiderElementBuilder::SetMeshName ( const NXString meshName)

Sets the mesh name
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshNamemeshname
void NXOpen::CAE::SpiderElementBuilder::SetMeshName ( const char *  meshName)

Sets the mesh name
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
meshNamemeshname
void NXOpen::CAE::SpiderElementBuilder::SetNeutralName ( const NXString neutralName)

Sets the element neutral name
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
neutralNameneutralname
void NXOpen::CAE::SpiderElementBuilder::SetNeutralName ( const char *  neutralName)

Sets the element neutral name
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
neutralNameneutralname
void NXOpen::CAE::SpiderElementBuilder::SetNewMeshOption ( NXOpen::CAE::SpiderElementBuilder::NewMeshType  newMeshOption)

Sets the new mesh option
Created in NX5.0.1.



License requirements : nx_masterfem ("Finite Element Modeling")

Parameters
newMeshOptionnewmeshoption

The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.